package com.ydl.ydlcommon.mvp.delegate

import com.ydl.ydlcommon.mvp.base.IPresenter
import com.ydl.ydlcommon.mvp.base.IView
/**
 * Created by haorui on 2019-08-14.
 * Des: MVP委托类实现接口
 */
interface MvpDelegateCallback<V : IView, P : IPresenter<V>> {

    fun getPresenter(): P

    fun setPresenter(presenter: P)

    fun getMvpView(): V

    fun createPresenter(): P
}

